Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.portals.bridges.frameworks.spring.validation
Class ValidationSupport

    java.lang.Object
      org.apache.portals.bridges.frameworks.spring.validation.ValidationSupport

public class ValidationSupport
extends Object

ValidationSupport

Version:
  $Id: ValidationSupport.java 517068 2007-03-12 01:44:37Z ate $
Author:
  David Sean Taylor

Constructor Summary
`ValidationSupport()`

Method Summary
`static String` | `getValueAsString(Object bean, String property)`
`static void` | `printResults(Object bean, org.apache.commons.validator.ValidatorResults results, org.apache.commons.validator.ValidatorResources resources, String formName)`
`static boolean` | `validateDoubleRange(Object bean, org.apache.commons.validator.ValidatorAction va, org.apache.commons.validator.Field field, Map errors, ResourceBundle bundle)`
`static boolean` | `validateMask(Object bean, org.apache.commons.validator.ValidatorAction va, org.apache.commons.validator.Field field, Map errors, ResourceBundle bundle)`
`static boolean` | `validateMaxLength(Object bean, org.apache.commons.validator.ValidatorAction va, org.apache.commons.validator.Field field, Map errors, ResourceBundle bundle)`
`static boolean` | `validateRange(Object bean, org.apache.commons.validator.ValidatorAction va, org.apache.commons.validator.Field field, Map errors, ResourceBundle bundle)`
`static boolean` | `validateRequired(Object bean, org.apache.commons.validator.ValidatorAction va, org.apache.commons.validator.Field field, Map errors, ResourceBundle bundle)` Checks if the field is required.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidationSupport

    public ValidationSupport()

Method Detail

### getValueAsString

    public static String getValueAsString(Object bean,
                                          String property)

### validateRequired

    public static boolean validateRequired(Object bean,
                                           org.apache.commons.validator.ValidatorAction va,
                                           org.apache.commons.validator.Field field,
                                           Map errors,
                                           ResourceBundle bundle)

  Checks if the field is required.

  Returns:
    boolean If the field isn't `null` and has a length greater than zero, `true` is returned. Otherwise `false`.

### validateRange

    public static boolean validateRange(Object bean,
                                        org.apache.commons.validator.ValidatorAction va,
                                        org.apache.commons.validator.Field field,
                                        Map errors,
                                        ResourceBundle bundle)

### validateDoubleRange

    public static boolean validateDoubleRange(Object bean,
                                              org.apache.commons.validator.ValidatorAction va,
                                              org.apache.commons.validator.Field field,
                                              Map errors,
                                              ResourceBundle bundle)

### validateMask

    public static boolean validateMask(Object bean,
                                       org.apache.commons.validator.ValidatorAction va,
                                       org.apache.commons.validator.Field field,
                                       Map errors,
                                       ResourceBundle bundle)

### validateMaxLength

    public static boolean validateMaxLength(Object bean,
                                            org.apache.commons.validator.ValidatorAction va,
                                            org.apache.commons.validator.Field field,
                                            Map errors,
                                            ResourceBundle bundle)

### printResults

    public static void printResults(Object bean,
                                    org.apache.commons.validator.ValidatorResults results,
                                    org.apache.commons.validator.ValidatorResources resources,
                                    String formName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.